Package net.shibboleth.profile.config.navigate

# Class IdentifierGenerationStrategyLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<T>
net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction<IdentifierGenerationStrategy>
net.shibboleth.profile.config.navigate.IdentifierGenerationStrategyLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,IdentifierGenerationStrategy>`, `ContextDataLookupFunction<ProfileRequestContext,IdentifierGenerationStrategy>`

public class IdentifierGenerationStrategyLookupFunction extends AbstractDefaultSecurityConfigurationLookupFunction<IdentifierGenerationStrategy>
A function that returns an `IdentifierGenerationStrategy` by way of a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, a default generator can be returned.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IdentifierGenerationStrategy`
`defaultGenerator`
Default strategy to return.

## Constructor Summary

Constructors
Constructor
Description
`IdentifierGenerationStrategyLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`IdentifierGenerationStrategy`
`apply(ProfileRequestContext input)`
`void`
`setDefaultIdentifierGenerationStrategy(IdentifierGenerationStrategy strategy)`
Set the default `IdentifierGenerationStrategy` to return.

### Methods inherited from class net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction

`getDefaultSecurityConfiguration`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### defaultGenerator

@Nullable private IdentifierGenerationStrategy defaultGenerator
Default strategy to return.

## Constructor Details

### IdentifierGenerationStrategyLookupFunction

public IdentifierGenerationStrategyLookupFunction()

## Method Details

### setDefaultIdentifierGenerationStrategy

public void setDefaultIdentifierGenerationStrategy(@Nullable IdentifierGenerationStrategy strategy)
Set the default `IdentifierGenerationStrategy` to return.

Parameters:
  `strategy` - default generation strategy;

### apply

@Nullable public IdentifierGenerationStrategy apply(@Nullable ProfileRequestContext input)